## CastHelloAudio

#### **NOTE:** This sample is currently a ***Work In Progress(WIP)*** with some known issues in the app as noted below.

### KNOWN ISSUES:
1. Although the transfer from Remote to Local is successful, the app sometimes fails to fetch Audio
focus after the transfer.

### Prerequisites
1. Physical device running Android 13(API Level 33). Visit [this page](https://developer.android.com/about/versions/13/get)
for details.
2. Read the [Output Switcher](https://developers.google.com/cast/docs/android_sender/output_switcher)
documentation for complete details and to familiarize yourself with the feature.

### SETUP AND USAGE INSTRUCTIONS
1. Download the sample code to your desired location and open in Android Studio
2. Add media(audio) Metadata as per below instructions:
   1. AudioPlayerService.java
         ***[Line No] - [Instructions]***
      1. [73 - 81] - Add URI for Album Art and Audio Asset to be loaded.
3. Connect a physical device running Android 13 and install app.
4. Once the `onChildrenLoaded` toast appears, press the play button.
5. Pull down the System Notification menu, you should see the notification with Media details with 
Notification chip in the top-right hand corner of the notification saying "This Phone".
6. Go back to App and click on Cast Icon and select a cast device.
7. The Notification should now be replaced with a Cast notification displaying the current device.
8. Click on the notification chip to access Output Switcher dialog.
9. Click "This Phone" to transfer stream back to your device.